Summary: A file compression utility.
Name: bzip2
Version: 0.9.5d
Release: 1.3.1
Copyright: GPL
Group: Applications/File
Source: http://sourceware.cygnus.com/bzip2/bzip2-%{version}.tar.gz
URL: http://sourceware.cygnus.com/bzip2/
Patch0: bzip2-0.9.5c-shlib.patch
Prefix: %{_prefix}
BuildRequires: libtool
BuildRoot: /var/tmp/%{name}-root

%description
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities 
of the best techniques available.  However, bzip2 has the added benefit 
of being approximately two times faster at compression and six times 
faster at decompression than those techniques.  Bzip2 is not the 
fastest compression utility, but it does strike a balance between speed 
and compression capability.

Install bzip2 if you need a compression utility.

%package devel
Summary: bzip2 development
Group: Development/Libraries
Requires: bzip2
Prereq: /sbin/install-info

%description devel
Development libraries and headers for bzip2

%prep
%setup -q
%patch0 -p1 -b .shlib

%build

make CFLAGS="$RPM_OPT_FLAGS" prefix=%{_prefix} mandir=%{_mandir}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR="$RPM_BUILD_ROOT" prefix=%{_prefix} \
	mandir=%{_mandir}

( cd $RPM_BUILD_ROOT
  strip .%{_prefix}/bin/* || :
  cat > .%{_prefix}/bin/bzless <<EOF
#!/bin/sh
%{_prefix}/bin/bunzip2 -c "\$@" | /usr/bin/less
EOF
  chmod 755 .%{_prefix}/bin/bzless
)

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc  README *.html
%{_prefix}/bin/*
%doc %{_mandir}/man1/*
%{_prefix}/lib/libbz2.so*

%files devel
%{_prefix}/lib/libbz2.a
%{_prefix}/lib/libbz2.la
%{_prefix}/include/bzlib.h

%changelog
* Tue Apr 15 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.5d, Release 1.3.1
  - Fix broken depends in devel package (s/bzip/bzip2).

* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.5d, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Mon Nov 20 2000 Dave Wreski <dave@guardiandigital.com>
- FHS changes

* Sun Jul 10 2000 Pete O'Hara <pete@guardiandigital.com>
- initial version from RH6

